﻿namespace UltraGridCustomSorting
{
    using System.Collections;

    using Infragistics.Win.UltraWinGrid;
    internal class SortComparer : IComparer
    {
        public int Compare(object x, object y)
        {
            UltraGridCell first = (UltraGridCell)x;
            UltraGridCell second = (UltraGridCell)y;

            int firstCellValue = this.GetCellValue(first);
            int secondCellValue = this.GetCellValue(second);
            return firstCellValue.CompareTo(secondCellValue);
        }

        private int GetCellValue(UltraGridCell first)
        {
            int index = 0;
            switch (first.Text.ToUpper())
            {
                case "LENGHT":
                    index = 1;
                    break;
                case "SHORT":
                    index = 2;
                    break;
                case "FIXED":
                    index = 3;
                    break;
                case "BREADTH":
                    index = 4;
                    break;
                default:
                    index = int.MaxValue;
                    break;
            }

            return index;
        }
    }
}